<?php
/**
 *
 * @package Legacy
 * @version $Id: formtoken.php,v 1.3.6.1.2.5.2.1 2007/03/28 05:44:19 minahito Exp $
 * @copyright Copyright 2005, 2006 XOOPSCube.org <http://xoopscube.org/> 
 * @license http://www.gnu.org/licenses/gpl.txt GNU GENERAL PUBLIC LICENSE Version 2
 *
 */

if (!defined('XOOPS_ROOT_PATH')) exit();

class XoopsFormToken extends XoopsFormHidden {
    /**
     * Constructor
     *
     * @param object    $token  XoopsToken instance
    */
    function XoopsFormToken($token)
    {
        if(is_object($token)) {
            parent::XoopsFormHidden($token->getTokenName(), $token->getTokenValue());
        }
        else {
            parent::XoopsFormHidden('','');
        }
    }
}
?>